compact1, compact2, compact3
javax.security.cert

## Class CertificateExpiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.security.cert.CertificateException
      - - javax.security.cert.CertificateExpiredException

All Implemented Interfaces:
  Serializable

    public class CertificateExpiredException
    extends CertificateException

Certificate Expired Exception. This is thrown whenever the current `Date` or the specified `Date` is after the `notAfter` date/time specified in the validity period of the certificate.

Note: The classes in the package `javax.security.cert` exist for compatibility with earlier versions of the Java Secure Sockets Extension (JSSE). New applications should instead use the standard Java SE certificate classes located in `java.security.cert`.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CertificateExpiredException()` Constructs a CertificateExpiredException with no detail message.
`CertificateExpiredException(String message)` Constructs a CertificateExpiredException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CertificateExpiredException

    public CertificateExpiredException()

Constructs a CertificateExpiredException with no detail message. A detail message is a String that describes this particular exception.

#### CertificateExpiredException

    public CertificateExpiredException(String message)

Constructs a CertificateExpiredException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `message` - the detail message.